HostingMigrations
List migration resources
GET
/api/migrations/{migration_code}/resourcesReturns the resources parsed from a migration CSV file.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
migration_code*string
Migration code: MG followed by 8 digits. Example: MG12345678.
Query Parameters
status?string
Migration resource status filter.
all= include every migration resource status.running= operation is in progress.success= the latest run succeeded.error= operation failed.crashed= the worker crashed while processing the resource.failed= resource has an error or crashed run.
Values
all | running | success | error | crashed | failedpage?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/migrations/string/resources" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"code": "string",
"status": "running",
"status_detail": "string",
"created_at": "string",
"updated_at": "string",
"error_details": [
null
],
"local_email": "string",
"remote_username": "string",
"remote_server": "string",
"migration_id": 0,
"masteruser": "string",
"test_run": {},
"first_execution_run": {},
"second_execution_run": {},
"from_date": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}